This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 29168 - weird depepndencies show up
weird depepndencies show up
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-24 01:13 EST by Alexander L. Belikoff
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-24 01:13:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander L. Belikoff 2001-02-24 01:13:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-22 i686; Nav)


When running kpackage on PowerTools packages, they all display weird
dependencies looking like:

rpmlib(PayloadFilesHavePrefix) (<= 4.0-1), ld-linux.so.2 , libc.so.6 , 
libncurses.so.5 , libc.so.6(GLIBC_2.0) , libc.so.6(GLIBC_2.1) , libc.so.6
(GLIBC_2.1.3) , rpmlib(CompressedFileNames) (<= 3.0.4-1)

I mean, the rpmlib dependencies

Reproducible: Always
Steps to Reproduce:
1. run kpackage
2. go for PowerTools packages (at least)
3. click on any package
Comment 1 Jeff Johnson 2001-02-24 08:59:21 EST
The rpmlib(...) dependencies are real. They are used internally by rpm (and are
satisfied
by rpmlib, not a specific package) to track certain features/incompatibilities
in rpm packaging.

You can see the complete set of rpmlib dependencies, with a 1 line description,
by typing
	rpm --showrc

Note You need to log in before you can comment on or make changes to this bug.